#ifndef __TypeData_h__
#define __TypeData_h__
#include <applstdef_emC.h>





typedef struct TypeData_t {
  union { ObjectJc object; } base;

  float name;

  int32 name2;
} TypeData_s;

extern_C ClassJc const refl_TypeData;

void ctor_TypeData(TypeData_s* thiz);


/**Write data to DataStruct. 
 * Note: The Simulink coder cannot decide whether it is a scalar, vector or pointer
 * Therefore all arguments are unique given as address (pointer) 
 */

bool init__TypeData(TypeData_s* thiz);


void step__TypeData(TypeData_s* thiz, float const* name, int32 const* name2);


inline void get_name_TypeData(TypeData_s* thiz, float* name) {
  *name = thiz->name;
}

inline void get_name2_TypeData(TypeData_s* thiz, int32* name2) {
  *name2 = thiz->name2;
}
#endif  //__TypeData_h__
